#
# spec file for package libreadline-java (Version 0.8.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# icecream 0

Name:           libreadline-java
BuildRequires:  java2-devel-packages readline-devel termcap xerces-j2
%define name		libreadline-java
%define version		0.8.0
%define readline_ver	4.3
%define release		9jpp
%define section		free
Version:        0.8.0
Release:        47
Summary:        Java Wrapper for the GNU Readline Library
License:        GNU Library General Public License v. 2.0 and 2.1 (LGPL)
Source0:        http://download.sourceforge.net/java-readline/libreadline-java-0.8.0-src.tar.gz
Patch:          %{name}-java14compat.patch
URL:            http://java-readline.sf.net/
# Requires:	readline = %{readline_ver}
PreReq:         /sbin/ldconfig
Provides:       java_readline
Provides:       gnu.readline
Group:          Development/Libraries/Java
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Autoreqprov:    on

%description
Java-Readline is a port of GNU Readline for Java.  To be more precise,
it is a JNI wrapper for Readline. It is distributed under the LGPL.



%package javadoc
PreReq:         coreutils
Summary:        Javadoc for libreadline-java
Group:          Development/Libraries/Java

%description javadoc
Java-Readline is a port of GNU Readline for Java.  Or, to be more
precise, it is a JNI-wrapper to Readline. It is distributed under the
LGPL.

This package contains the javadoc documentation for Java-Readline.



%prep
%setup -q -n %{name}-%{version}
%patch
find . -name "*.jar" -exec rm -f {} \;

%build
export JAVA_HOME=%{java_home}
export PATH=$JAVA_HOME/bin:$JAVA_HOME/jre/bin:$PATH

%__make T_LIBS=JavaReadline LIBPATH=-L%{_libdir}/termcap

%__make apidoc

%install
# jar

%__mkdir_p %{buildroot}%{_jnidir}-ext

%__install -m 644 %{name}.jar %{buildroot}%{_jnidir}-ext/%{name}-%{version}.jar
(cd %{buildroot}%{_jnidir}-ext && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)
# lib

%__mkdir_p %{buildroot}%{_libdir}

%__install -m 755 libJavaReadline.so %{buildroot}%{_libdir}/libJavaReadline.so.%{version}
(cd %{buildroot}%{_libdir} && ln -sf libJavaReadline.so.%{version} libJavaReadline.so)
# javadoc

%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}

%__cp -a api/* %{buildroot}%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(0644,root,root,0755)
%doc ChangeLog NEWS README README.1st VERSION
%{_libdir}/*.so*
%dir %{_jnidir}-ext
%{_jnidir}-ext/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog -n libreadline-java
* Thu Dec 14 2006 - jsmeix@suse.de
- Removed xml-commons-apis from BuildRequires because xerces-j2
  already provides xml-commons-apis but xerces-j2 would be
  deinstalled when rpm installs xml-commons-apis after xerces-j2
  (which is rpm standard behaviour in this case) but without
  xerces-j2 the RPM capabilities jaxp_parser_impl and
  xml-commons-resolver are no longer provided in the
  installed system.
* Tue Sep 26 2006 - skh@suse.de
- don't use icecream
- use -source 1.4 and -target 1.4 for build with java 1.5
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Nov 25 2005 - jsmeix@suse.de
- Replaced {_jnidir} by {_jnidir}-ext
* Wed Aug 17 2005 - uli@suse.de
- fixed to build on lib64 archs
* Thu Jul 28 2005 - jsmeix@suse.de
- Adjustments in the spec file.
* Mon Jul 18 2005 - jsmeix@suse.de
- Current version 0.8.0 from JPackage.org
* Wed Jul 13 2005 - uli@suse.de
- lib64tified (fixes s390x)
* Thu Nov 18 2004 - ro@suse.de
- fixed file list
* Wed Sep 15 2004 - skh@suse.de
- Fix Requires (remove fixed dependency on readline 4.3 and enable rpm
  dependency check)
* Wed Sep 08 2004 - skh@suse.de
- Fix PreRequire
* Thu Sep 02 2004 - skh@suse.de
- Initial package created with version 0.8.0 (JPackage 1.5)
